## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate az-cvm-vtpm

# compile and run tests only on supported architectures
%global supported_arches x86_64

Name:           rust-az-cvm-vtpm
Version:        0.7.1
Release:        %autorelease
Summary:        Package with shared code for Azure Confidential VMs

License:        MIT
URL:            https://crates.io/crates/az-cvm-vtpm
Source:         %{crates_source}
# * The crate does not contain LICENSE; Get it from upstream git repo
# * http://github.com/kinvolk/azure-cvm-tooling/
# * A patch was sent upstream:
# * https://github.com/kinvolk/azure-cvm-tooling/pull/64
Source1:        https://raw.githubusercontent.com/kinvolk/azure-cvm-tooling/2bef60b88db7554935177ec63dd169190a39eab7/LICENSE

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Package with shared code for Azure Confidential VMs.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+attester-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+attester-devel %{_description}

This package contains library source intended for building other packages which
use the "attester" feature of the "%{crate}" crate.

%files       -n %{name}+attester-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+openssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+openssl-devel %{_description}

This package contains library source intended for building other packages which
use the "openssl" feature of the "%{crate}" crate.

%files       -n %{name}+openssl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tpm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tpm-devel %{_description}

This package contains library source intended for building other packages which
use the "tpm" feature of the "%{crate}" crate.

%files       -n %{name}+tpm-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tss-esapi-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tss-esapi-devel %{_description}

This package contains library source intended for building other packages which
use the "tss-esapi" feature of the "%{crate}" crate.

%files       -n %{name}+tss-esapi-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+verifier-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+verifier-devel %{_description}

This package contains library source intended for building other packages which
use the "verifier" feature of the "%{crate}" crate.

%files       -n %{name}+verifier-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
cp -f %{SOURCE1} .
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%ifarch %{supported_arches}
%cargo_build
%endif

%install
%cargo_install

%if %{with check}
%ifarch %{supported_arches}
%check
%cargo_test
%endif
%endif

%changelog
## START: Generated by rpmautospec
* Wed Jan 29 2025 Uri Lublin <uril@redhat.com> - 0.7.1-3
- Set supported arches to x86_64

* Tue Jan 28 2025 Uri Lublin <uril@redhat.com> - 0.7.1-2
- add rust2rpm.toml (fedora#2327778)

* Tue Jan 28 2025 Uri Lublin <uril@redhat.com> - 0.7.1-1
- Initial import (fedora#2327778).
## END: Generated by rpmautospec
